# Patient $submission-status

`GET /Patient/$submission-status/{submissionStatusId}`

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records. 

The other operations are specific to <u>**Verato**</u> and <u>**CMS ACCESS**</u> (<u>**Advancing Chronic Care with Effective, Scalable Solutions**</u>). You must register and be approved to participate in CMS ACCESS. [Learn more about CMS ACCESS](https://www.cms.gov/priorities/innovation/innovation-models/access).

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $submission-status

Check the status of a submitted `$check-eligibility`, `$align`, `$unalign`, or `$report-data` request. 

This returns an “Accepted” status while processing and the final result or error details once complete.

We support this operation for completeness and compliance with the ACCESS specification. 

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `submissionStatusId` | path | string | Yes | Identifier returned in the Content-Location header when the asynchronous submission was accepted. |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/$submission-status/{submissionStatusId}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

Operation Response

Terminal status payload returned by the CMS ACCESS $submission-status operation. The specific result codes depend on which operation created the submission.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `result` | object | Yes | The terminal status of the submission. |
| `result.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `result.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `result.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `result.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `issues` | object | No | Additional diagnostic information about the submission outcome, when present. |
| `issues.resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issues.issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issues.issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issues.issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issues.issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issues.issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issues.issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issues.issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issues.issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issues.issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issues.issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "id": "CmsAccessSubmissionStatusOutputExample",
  "result": {
    "coding": [
      {
        "system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSEligibilityResultCS",
        "code": "eligible",
        "display": "Eligible"
      }
    ]
  }
}
```

### 202

The asynchronous submission is still being processed. The response body is empty; keep polling this resource until it returns 200 with the terminal result.

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
